﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BLL.Interface;
using Model;

public partial class _Default : Spring.Web.UI.Page {

  private IPedidoBO _pedidoBO;
  public IPedidoBO pedidoBO{
    set {_pedidoBO = value;}
  }

  protected void Page_Load(object sender, EventArgs e) {

  }

  protected void btnSalvarPedidoClick(object sender, EventArgs e) {
    Pedido p = new Pedido();
    p.ClienteID = 1;
    
    ItemPedido ip1 = new ItemPedido();
    ip1.PrecoUnitario = 5;
    ip1.Quantidade = 10;
    p.Itens.Add(ip1);
    
    ItemPedido ip2 = new ItemPedido();
    ip2.PrecoUnitario = 20;
    ip2.Quantidade = 12;
    p.Itens.Add(ip2);
    
    _pedidoBO.inserirPedido(p);
    lblMensagem.Text = "Pedido " + p.PedidoID.ToString() + " salvo com sucesso.";
  }
  
  protected void btnRecuperarPedidoClick(object sender, EventArgs e) {
    Pedido p = _pedidoBO.pegarPedidoPorID(Convert.ToInt32(txtPedidoID.Text));
    lblMensagem.Text = "Pedido " + 
      p.PedidoID.ToString() + " valor total " + 
      p.ValorTotal.ToString() + " possui " + p.Itens.Count.ToString() + " itens.";
  }
  
}
